Status: Closed Start date: 31 May 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoALib-0.99560 Spent time: 10.05 hours

Description

I've just updated to MacOS 10.11 (from 10.6).

Here I note the problems and remarks on the first compilations.

Related issues:

Related to CoCoALib - Design #764: ExternalLib: simplify configuration Closed 02 Sep 2015

Related to CoCoALib - Feature #82: C++11 compatibility questions Closed 26 Jan 2012

History

#1 - 31 May 2016 15:16 - Anna Maria Bigatti

- % Done changed from 0 to 10

This is just a local problem with files not in cvs

The file /include/CoCoA/TmpSBStats.H contains the line

#include <tr1/unordered_map>

giving this error

../../include/CoCoA/TmpSBStats.H:11:10: fatal error: 'tr1/unordered_map' file

#2 - 31 May 2016 15:27 - Anna Maria Bigatti

... I'm not quite sure what this refers to...

Rebuilding dependencies in ...

clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated

#3 - 31 May 2016 15:49 - Anna Maria Bigatti

I expect this is well under control ;-)
Compiling RingFqLog.o

RingFqLog.C:516:3: warning: all paths through this function will call itself

      [-Winfinite-recursion]

  {

  ^

1 warning generated.

Compiling RingFqVec.o

RingFqVec.C:532:3: warning: all paths through this function will call itself

      [-Winfinite-recursion]

  {

  ^

#4 - 31 May 2016 15:55 - Anna Maria Bigatti

... another thing I don't really know the meaning of:

ld: warning: PIE disabled. Absolute addressing (perhaps -mdynamic-no-pic) not allowed in code signed PIE, but 

used in ___gmpn_divexact_1 from ../../configuration/ExternalLibs/lib/libgmp-symlink.a(dive_1.o). To fix this w

arning, don't compile with -mdynamic-no-pic or link with -Wl,-no_pie

#5 - 01 Jun 2016 17:05 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- Category set to Portability

- Target version set to CoCoALib-0.99542 spring 2016

CoCoA-5 running!!

With CoCoALib and external libraries CDD GFAN GSL READLINE 

I had to recompile (naturally) gfan, boost, gmp (I installed the latest 1.61.0, and 6.1.0 and made my usual local installation), and I thought of adding

detailed documentation about compiling boost and gmp: a normal cocoalib user is not likely to need to compile them, but might be handy.

(Sandro Logar, and someone at the CoCoA school, had trouble running the CoCoA distribution because he was missing some dynamical library, so

also the linux line to install a package might be useful somewhere)    

I had trouble with normaliz, but I always do ;-) and with frobby, but I think to recall that John has already found some fix.

So I'm not too worried about those right now.

I'm pleased :-)
#6 - 06 Jun 2016 13:28 - John Abbott

The warnings about infinite recursion correspond to code which has a comment BUG BUG BUG;  I suppose I'll fix it when I have both time and

inclination (and remember to do it).

#7 - 06 Jun 2016 13:31 - John Abbott

I like the idea of adding some hints about compiling external libraries.  I already have some notes (but perhaps they are not in CVS?)

I'm undecided whether it is better to have a single file containing hints for all external libraries, or whether to have a separate file for each external

library...

#8 - 06 Jun 2016 13:47 - Anna Maria Bigatti

John Abbott wrote:

I like the idea of adding some hints about compiling external libraries.  I already have some notes (but perhaps they are not in CVS?)

I'm undecided whether it is better to have a single file containing hints for all external libraries, or whether to have a separate file for each

external library...

 

I prefer one for each.  (cvs-ed)

#9 - 17 Jun 2016 15:52 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99542 spring 2016 to CoCoALib-0.99550 spring 2017

#10 - 16 Sep 2016 16:19 - John Abbott

- Target version changed from CoCoALib-0.99550 spring 2017 to CoCoALib-0.99560

#11 - 21 Sep 2016 18:39 - Anna Maria Bigatti

Improved documentation about compiling ExternalLibs (after much suffering in recompiling with clang)

#12 - 22 Sep 2016 15:21 - Anna Maria Bigatti

- Related to Design #764: ExternalLib: simplify configuration added

#13 - 22 Sep 2016 15:25 - Anna Maria Bigatti

Being annoyed by this repeated message (and also thinking of any other Mac user!!)

ld: warning: PIE disabled. Absolute addressing (perhaps -mdynamic-no-pic) not allowed in code signed PIE, but 

used in ___gmpn_divexact_1 from ../../configuration/ExternalLibs/lib/libgmp-symlink.a(dive_1.o). To fix this w

arning, don't compile with -mdynamic-no-pic or link with -Wl,-no_pie

I worked of configuration for adding automatically this little "-Wl,-no_pie" in the right place when using "clang" (but it this really a clang problem?  or a

Mac problem? or a "11" problem?)
#14 - 22 Sep 2016 15:49 - Anna Maria Bigatti

when running dependencies there are lots of warnings about boost

        BOOST_SCOPE_EXIT_ID(BOOST_SCOPE_EXIT_AUX_PP_LINE_COUNTER, \

but it's not a problem

#15 - 22 Sep 2016 16:08 - Anna Maria Bigatti

- % Done changed from 10 to 70

removed TmpSmartPtrIRCCOW.H (gave warnings, and it was not used)

I saved a copy called TmpSmartPtrIRCCOW.H.dont-read (so our clever makefile does not complain I have an unused .H file ;-)

#16 - 15 Dec 2017 16:28 - Anna Maria Bigatti

- Status changed from In Progress to Resolved

- % Done changed from 70 to 90

I still get lots of wanrings, but I don't know how to solve them.

Maybe we should close this (it's a long time since my first compilation with clang) and open a new issue about these warnings.

#17 - 16 Dec 2017 15:16 - John Abbott

- Related to Feature #82: C++11 compatibility questions added

#18 - 16 Dec 2017 15:19 - John Abbott

It would be helpful to "ignore" warnings which will disappear when we update the code to be C++11 compatible.

The other warnings will require "individual" attention.  If there are some we can easily resolve, we should do that (but after the imminent release of

0.99560).  Sorting out the remaining ones is another one of those tasks that could take a lot of time but produce no "visible benefit".

#19 - 16 Jan 2018 11:37 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 90 to 100
